using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BYSeisViewer
{
    public partial class FormBYSeis : Form
    {
        enum BYSeisActionFlags
        {
            BYSeisTraceHeaderInfo = 1,				// show trace header information
            BYSeisColorBar,							// show colorbar for color editting
            BYSeisProperty,							// show property for configuration
            BYSeisZoomIn = 4,						// set into zoom in mode
            BYSeisZoomOut = 5,						// zoom out to previous level
            BYSeisReset = 6,						// reset to original scale
            BYSeisPan = 16,							// pan
        };

        public FormBYSeis()
        {
            InitializeComponent();
        }

        private void OnClickOpen(object sender, EventArgs e)
        {
            if (this.openSEGYFileDlg.ShowDialog() == DialogResult.OK)
                axBYSeis1.Open(openSEGYFileDlg.FileName);
        }

        private void OnClickZoomIn(object sender, EventArgs e)
        {
            axBYSeis1.Action((int)BYSeisActionFlags.BYSeisZoomIn);
        }

        private void OnClickZoomOut(object sender, EventArgs e)
        {
            axBYSeis1.Action((int)BYSeisActionFlags.BYSeisZoomOut);
        }

        private void OnClickReset(object sender, EventArgs e)
        {
            axBYSeis1.Action((int)BYSeisActionFlags.BYSeisReset);
        }

        private void OnClickPan(object sender, EventArgs e)
        {
            axBYSeis1.Action((int)BYSeisActionFlags.BYSeisPan);
        }

        private void OnResize(object sender, EventArgs e)
        {
            Size ss = this.ClientSize;
            ss.Height -= this.statusStrip1.Height;
            ss.Width -= 20;
            axBYSeis1.Size = ss;    
        }

        private void OnLoadFormBYSeis(object sender, EventArgs e)
        {
            Size ss = this.ClientSize;
            ss.Height -= this.statusStrip1.Height;
            ss.Width -= 20;
            axBYSeis1.Size = ss; 
        }

    }
}